@echo off
mode 80,500
setlocal
title Destory Payment Manager Database And Rebuild From Install Scripts

rem ************************************************************************
rem * This source code is provided as an example.  No warranty is expressed
rem * or implied.  It is your responsibility to determine its suitability
rem * to your application, to modify it as necessary, and to validate
rem * its correctness.
rem *
rem * Licensed Materials - Property of IBM
rem * (c) Copyright IBM Corporation 2000. All Rights Reserved.
rem *
rem * US Government Users Restricted Rights - Use, duplication, or
rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem ************************************************************************

rem ############################################################################
rem #
rem # This script destroys the IBM Payment Manager database and rebuilds
rem # it using the SQL scripts that were installed in the .\archive directory.
rem # This script is relatively risky.  If it does not perform correctly,
rem # you will have no choice but to uninstall DB2, WebSphere, and the IBM
rem # Payment Manager and install the IBM Payment Manager again.
rem #
rem ############################################################################

rem Set IBM Payment Manager drive, directory name, and database instance
set PAYDRV=c:
set PAYDIR=c:\Program Files\IBM\PaymentManager
set PAYDBI=PSADMIN
%PAYDRV%
cd %PAYDIR%

rem Destroy the entire database
db2 DROP DATABASE %PAYDBI%

rem Create empty database
db2 CREATE DATABASE %PAYDBI%

rem Connect to the database
db2 CONNECT TO %PAYDBI%

rem Create base database
db2 -tvf .\archive\CreatePayServerTables.db2
rem Add the Test cassette
db2 -tvf .\archive\setupTestTables.txt

rem Roll the database forward
db2 ROLLFORWARD DATABASE %PAYDBI%
pause
endlocal
exit
