DELETE FROM ETCASSETTECFG WHERE PaymentSystemName = 'LdbCard';

DROP TABLE LDBCARDACCOUNT;

DROP VIEW LDBCARDACCOUNTVIEW;

DROP TABLE LDBCARDBATCH;

DROP VIEW LDBCARDBATCHVIEW;

DROP TABLE LDBCARDORDER;

DROP VIEW LDBCARDORDERVIEW;

DROP TABLE LDBCARDPAYMENT;

DROP VIEW LDBCARDPAYMENTVIEW;

DROP VIEW LDBCARDPAYBATVIEW;

DROP TABLE LDBCARDCREDIT;

DROP VIEW LDBCARDCREDITVIEW;

DROP VIEW LDBCARDCREBATVIEW;

DELETE FROM ETPAYMENT
   WHERE OrderNumber concat ' ' concat PaymentNumber IN (
      SELECT
         OrderNumber concat ' ' concat PaymentNumber
      FROM ETPAYMENTVIEW
      WHERE
         PaymentType = 'LdbCard'
   );

DELETE FROM ETCREDIT
   WHERE OrderNumber concat ' ' concat CreditNumber IN (
      SELECT
         OrderNumber concat ' ' concat CreditNumber
      FROM ETCREDITVIEW
      WHERE
         PaymentType = 'LdbCard'
   );

DELETE FROM ETORDER WHERE PaymentType = 'LdbCard';

DELETE FROM ETBATCH WHERE PaymentType = 'LdbCard';

DELETE FROM ETPAYSYSCFG WHERE PaymentSystemName = 'LdbCard';

DELETE FROM ETACCOUNTCFG WHERE CassetteName = 'LdbCard';

DELETE FROM ETEVENTLISTENER WHERE CassetteName = 'LdbCard';

DELETE FROM ETBINARYDATA WHERE PaymentType = 'LdbCard';
