@echo off
mode 80,500
setlocal
title Create New Cassette

rem ############################################################################
rem # (C) Copyright 1999, 2000 IBM. Research Triangle Park, North Carolina
rem # ALL RIGHTS RESERVED
rem ############################################################################
rem #
rem # This script copies the base files of the LdbCard cassette into thes
rem # directory where the new cassette will be developed.  It then renames
rem # the base files using the new cassette name as a prefix.
rem #
rem ############################################################################

REM Copy all the files and Rename them
echo Copy all the files and rename them.
D:
CD D:\!PMCassette
SET    OLDDIR=com\ibm\etill\ldbcardcassette
SET    NEWDIR=com\ibm\etill\ldbtestcassette
SET    NEWCASSETTE=LdbTest
XCOPY  %OLDDIR%\*.* %NEWDIR%\*.*
XCOPY  %OLDDIR%\Shortcuts\*.* %NEWDIR%\ShortCuts\*.*
MKDIR  %NEWDIR%\lib
ERASE  %NEWDIR%\*.class
RENAME %NEWDIR%\LdbCard#Build.cmd              %NEWCASSETTE%#Build.cmd
RENAME %NEWDIR%\LdbCard#Install.cmd            %NEWCASSETTE%#Install.cmd
RENAME %NEWDIR%\LdbCard#Remove.cmd             %NEWCASSETTE%#Remove.cmd
RENAME %NEWDIR%\LdbCard#RestorePostInstall.cmd %NEWCASSETTE%#RestorePostInstall.cmd
RENAME %NEWDIR%\LdbCard#RestorePreInstall.cmd  %NEWCASSETTE%#RestorePreInstall.cmd
RENAME %NEWDIR%\LdbCard#StartManager.cmd       %NEWCASSETTE%#StartManager.cmd
RENAME %NEWDIR%\LdbCard#TraceEngine.cmd        %NEWCASSETTE%#TraceEngine.cmd
RENAME %NEWDIR%\LdbCard#TraceServlet.cmd       %NEWCASSETTE%#TraceServlet.cmd
RENAME %NEWDIR%\LdbCard#WipeOut.cmd            %NEWCASSETTE%#WipeOut.cmd
RENAME %NEWDIR%\LdbCard.en.PSPL                %NEWCASSETTE%.en.PSPL
RENAME %NEWDIR%\LdbCard.Install.sql            %NEWCASSETTE%.Install.sql
RENAME %NEWDIR%\LdbCard.properties             %NEWCASSETTE%.properties
RENAME %NEWDIR%\LdbCard.Remove.sql             %NEWCASSETTE%.Remove.sql
RENAME %NEWDIR%\LdbCardAccount.java            %NEWCASSETTE%Account.java
RENAME %NEWDIR%\LdbCardBatch.java              %NEWCASSETTE%Batch.java
RENAME %NEWDIR%\LdbCardCassette.java           %NEWCASSETTE%Cassette.java
RENAME %NEWDIR%\LdbCardCassetteQuery.java      %NEWCASSETTE%CassetteQuery.java
RENAME %NEWDIR%\LdbCardConstants.java          %NEWCASSETTE%Constants.java
RENAME %NEWDIR%\LdbCardCredit.java             %NEWCASSETTE%Credit.java
RENAME %NEWDIR%\LdbCardOrder.java              %NEWCASSETTE%Order.java
RENAME %NEWDIR%\LdbCardPayment.java            %NEWCASSETTE%Payment.java
RENAME "%NEWDIR%\Shortcuts\LdbCard Build.lnk"                 "%NEWCASSETTE% Build.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Get Engine Trace.lnk"      "%NEWCASSETTE% Get Engine Trace.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Get Servlet Trace.lnk"     "%NEWCASSETTE% Get Servlet Trace.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Install.lnk"               "%NEWCASSETTE% Install.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Remove.lnk"                "%NEWCASSETTE% Remove.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Restore PostInstall.lnk"   "%NEWCASSETTE% Restore PostInstall.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Restore PreInstall.lnk"    "%NEWCASSETTE% Restore PreInstall.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard Start Payment Manager.lnk" "%NEWCASSETTE% Start Payment Manager.lnk"
RENAME "%NEWDIR%\Shortcuts\LdbCard WipeOut.lnk"               "%NEWCASSETTE% WipeOut.lnk"

REM Create New Visual SlickEdit Project File Coplied from LdbCard.vpj
copy   LdbCard.vpj %NEWCASSETTE%.vpj

REM Report Complete
echo If no error messages appear above, the base files for the new
echo cassette have been created.
pause
endlocal
exit
