@echo off
mode 80,500
setlocal
title Rebuild JDBC Connect Test Servlet and Copy Into Web Server

rem ############################################################################
rem # (C) Copyright 1999, 2000 IBM. Research Triangle Park, North Carolina
rem # ALL RIGHTS RESERVED
rem ############################################################################
rem #
rem # This script rebuilds the Jdbc Connect Test Servlet and copies the files
rem # into the correct web server directories.
rem #
rem ############################################################################

REM Rebuild all the class files
echo Compiling.
D:
CD D:\!PMCassette
SET JDKDIR=C:\jdk1.1.8
SET WORKDIR=JdbcConnectTestServlet
SET ETILLDIR=C:\Program Files\IBM\PaymentManager
SET JAVAXDIR=%ETILLDIR%\IBMWebAS
SET CLASSPATH=%JDKDIR%\lib\classes.zip
SET CLASSPATH=%JAVAXDIR%\lib\jsdk.jar;%CLASSPATH%
SET CLASSPATH=%ETILLDIR%\eTillClasses.zip;%CLASSPATH%
SET CLASSPATH=%WORKDIR%;%CLASSPATH%
ERASE %WORKDIR%\*.class
%JDKDIR%\bin\javac -nowarn %WORKDIR%\JdbcConnectTestServlet.java

REM Copy the JDBC Connect Test files into the web server directories.
echo Copying the files into the web server directories.
D:
CD D:\!PMCassette
SET TARGETDIR=JdbcConnectTest
SET ETILLDIR=C:\Program Files\IBM\PaymentManager
SET HTMLDIR=%ETILLDIR%\httpd\htdocs
SET SERVLETDIR=%etilldir%\IBMWebAS\servlets
xcopy %WORKDIR%\*.class "%SERVLETDIR%"
xcopy %WORKDIR%\*.html  "%HTMLDIR%\%TARGETDIR%\*.*"

REM Report Complete
echo If no error messages appear above, the Jdbc Connection Test has been
echo rebuilt and copied into the production Payment Manager.
pause
endlocal
exit
