@echo off
mode 80,500
setlocal
title Rebuild Sample Store and Copy Into Web Server

rem ############################################################################
rem # (C) Copyright 1999, 2000 IBM. Research Triangle Park, North Carolina
rem # ALL RIGHTS RESERVED
rem ############################################################################
rem #
rem # This script rebuilds the sample store and copies the files into the
rem # correct web server directories.
rem #
rem ############################################################################

REM Rebuild all the class files
echo Compiling.
D:
CD D:\!PMCassette
SET JDKDIR=C:\jdk1.1.8
SET WORKDIR=SampleStore
SET ETILLDIR=C:\Program Files\IBM\PaymentManager
SET JAVAXDIR=%ETILLDIR%\IBMWebAS
SET CLASSPATH=%JDKDIR%\lib\classes.zip
SET CLASSPATH=%JAVAXDIR%\lib\jsdk.jar;%CLASSPATH%
SET CLASSPATH=%ETILLDIR%\eTillClasses.zip;%CLASSPATH%
SET CLASSPATH=%WORKDIR%;%CLASSPATH%
ERASE %WORKDIR%\*.class
%JDKDIR%\bin\javac %WORKDIR%\SampleStore.java

REM Copy the sample store files into the web server directories.
echo Copying the files into the web server directories.
D:
CD D:\!PMCassette
SET WORKDIR=SampleStore
SET ETILLDIR=C:\Program Files\IBM\PaymentManager
SET HTMLDIR=%ETILLDIR%\httpd\htdocs
SET SERVLETDIR=%etilldir%\IBMWebAS\servlets
xcopy %WORKDIR%\*.class "%SERVLETDIR%"
xcopy %WORKDIR%\*.html  "%HTMLDIR%\SampleStore\*.*"

REM Report Complete
echo If no error messages appear above, the sample store has been
echo rebuilt and copied into the production Payment Manager.
pause
endlocal
exit
