CREATE TABLE KITCASHCONFIG
(
   PROTOCOLPORT               INTEGER
);


INSERT INTO KITCASHCONFIG VALUES(8765);

CREATE TABLE KITCASHACCOUNTS
(
   MERCHANTNUMBER             VARCHAR(9) NOT NULL,
   ACCOUNTNAME                VARCHAR(128),
   ACCOUNTNUMBER              VARCHAR(9) NOT NULL,
   BANKNAME                   VARCHAR(255),
   BANKHOSTNAME               VARCHAR(30),
   BANKPORT                   VARCHAR(30),
   BATCHNUMBER                INTEGER
);

CREATE VIEW KITCASHACCTSVIEW AS SELECT
        ETACCOUNTCFG.*,
        KITCASHACCOUNTS.BANKHOSTNAME AS BANKHOSTNAME,
        KITCASHACCOUNTS.BANKPORT AS BANKPORT
  FROM KITCASHACCOUNTS, ETACCOUNTCFG WHERE
    KITCASHACCOUNTS.MERCHANTNUMBER = ETACCOUNTCFG.MerchantNumber and KITCASHACCOUNTS.ACCOUNTNUMBER = ETACCOUNTCFG.AccountNumber;


CREATE TABLE KITCASHPURCHASE
(
   MERCHANTNUMBER      VARCHAR(9) NOT NULL,
   ORDERNUMBER         VARCHAR(9) NOT NULL,
   CARDNUMBER          VARCHAR(9),
   ACCOUNTNUMBER       VARCHAR(9),
   CURRENTSTATE        INTEGER,
   CARDSTATE           INTEGER
);

CREATE VIEW KITCASHPURCHView AS SELECT
				ETORDERVIEW31.*,
                KITCASHPURCHASE.MERCHANTNUMBER,
                KITCASHPURCHASE.CARDNUMBER,
                KITCASHPURCHASE.CURRENTSTATE,
                KITCASHPURCHASE.CARDSTATE
            FROM KITCASHPURCHASE,ETORDERVIEW31
            WHERE ETORDERVIEW31.MerchantName=KITCASHPURCHASE.MERCHANTNUMBER 
            AND ETORDERVIEW31.OrderNumber=KITCASHPURCHASE.ORDERNUMBER;
